<!DOCTYPE html>
<html>
<head>
   <title></title>
</head>
<body>
   <section>
      <img  id="miImagen" src="../EjerciciosHTML/recursos/textura-acu.jpg" alt="Texto alt"
      data-camara="Modelo de la camara que utilice"
      data-efectos="Efectos aplicados a esta foto"
      data-geo="Longitud y latitud"
      data-fecha="La fecha en que se tomo la foto"/>
   </section>

   <script type="text/javascript">
      var imgsConEfecto = document.querySelectorAll('img[data-efecto]');
      var camara = document.getElementById('miImagen').dataset.camara;
      var elemento = document.getElementById('miImagen');
      var cam = elemento.dataset.camara;// modelo de la camara
      var attribute = elemento.getAttribute("data-geo");
      elemento.setAttribute("dat-geo","someName");

      console.log('atributos data');
      console.log(camara);
   </script>
</body>
</html>